Name:             python-lazy-object-proxy
Version:          1.7.1
Release:          2
Summary:          A fast and thorough lazy object proxy
License:          BSD-2-Clause
Url:              https://github.com/ionelmc/python-lazy-object-proxy
Source0:          https://github.com/ionelmc/python-lazy-object-proxy/archive/v%{version}/lazy-object-proxy-%{version}.tar.gz
BuildRequires:    python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools gcc
BuildRequires:    python%{python3_pkgversion}-pip python%{python3_pkgversion}-setuptools_scm

%description
A fast and thorough lazy object proxy that rebuilds a new
abstract syntax tree from Python's ast.

%package -n       python%{python3_pkgversion}-lazy-object-proxy
Summary:          A fast and thorough lazy object proxy
%{?python_provide:%python_provide python%{python3_pkgversion}-lazy-object-proxy}

%description -n   python%{python3_pkgversion}-lazy-object-proxy
A fast and thorough lazy object proxy that rebuilds a new
abstract syntax tree from Python's ast.

%prep
%autosetup -n python-lazy-object-proxy-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-lazy-object-proxy
%doc README.rst LICENSE
%{python3_sitearch}/*
%attr(0755, root, root) %{python3_sitearch}/lazy_object_proxy/*.so
%exclude %{python3_sitearch}/lazy_object_proxy/cext.c

%changelog
* Tue Nov 22 2022 xu_ping <xuping33@h-partners.com> - 1.7.1-2
- Modify invalid URL for upstream.

* Thu Oct 27 2022 yaoxin <yaoxin30@h-partners.com> - 1.7.1-1
- Upgrade to version 1.7.1

* Tue Jul 27 2021 Shinwell Hu <huxinwei@huawei.com> -1.6.0-2
- Add BuildRequires for python3-pip

* Thu Jul 15 2021 huangtianhua <huangtianhua@huawei.com> -1.6.0-1
- Upgrade to 1.6.0 to support OpenStack-W

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 1.3.1-10
- Completing build dependencies

* Wed Oct 21 2020 Ge Wang <wangge20@huawei.com> - 1.3.1-9
- remove python2

* Mon Feb 24 2020 likexin <likexin4@huawei.com> - 1.3.1-8
- package init
